#ifdef SEASONS_FAR
Sampler.albedo.a = 1.0;
#endif
#if USE_ALPHA_TEST
#ifdef ALPHA_TO_COVERAGE
#define ALPHA_THRESHOLD 0.05
#else
#define ALPHA_THRESHOLD 0.5
#endif
if(Sampler.albedo.a < ALPHA_THRESHOLD)
discard;
#endif
vec4 inColor = color;
#ifndef SEASONS
inColor = inColor;
#else
inColor.rgb = mix(inColor.rgb, texture2D(TEXTURE_2, color.xy).rgb*2.0, color.b);
#endif
Sampler.albedo.rgb *= inColor.rgb;
Sampler.albedo.rgb = pow(Sampler.albedo.rgb, vec3(2.2));